Debian Bug report logs - #582568
kdm: causes kaboom to show upgrade dialog on first root login

version graph

Package: libkdecore5; Maintainer for libkdecore5 is Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>; Source for libkdecore5 is src:kde4libs.

Reported by: Petter Reinholdtsen <pere@hungry.com>

Date: Fri, 21 May 2010 20:45:01 UTC

Severity: important

Found in version kde4libs/4:4.4.3-1

Fixed in version kde4libs/4:4.6.2-1

Forwarded to https://bugs.kde.org/show_bug.cgi?id=242175

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#582568; Package libkdecore5. (Fri, 21 May 2010 20:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
New Bug report received and forwarded. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Fri, 21 May 2010 20:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: submit@bugs.debian.org
Subject: kdm: causes kaboom to show upgrade dialog on first root login
Date: Fri, 21 May 2010 22:40:33 +0200
Package:  libkdecore5
Version:  4:4.4.3-1
Severity: important
User:     debian-edu@lists.debian.org
UserTags: debian-edu

When kdm is started, these files are created in ~root/.kde/:

lrwxrwxrwx 1 root root   22 12 feb. 21:32 cache-tjener.intern -> /var/tmp/kdecache-root
lrwxrwxrwx 1 root root   13 12 feb. 21:33 tmp-tjener.intern -> /tmp/kde-root

Their existence causes the first login with root to show an
configuration upgrade dialog, which is unwanted when logging in for
the first time.  See #570784 and #570925 for more information.
Perhaps the kaboom bug should be merged with this one?

I believe it is a bad idea for kdm to create files in ~root/ as it is
not guaranteed to be writable.  With LTSP, / is read-only, and only
selected directories in /var/ are made writable by bind-mounting to a
tmpfs directory.

I was going to report this against kdm, but Sune told me to report it
against libkdecore5 instead.

Happy hacking,
-- 
Petter Reinholdtsen




Set Bug forwarded-to-address to 'https://bugs.kde.org/show_bug.cgi?id=242175'. Request was from George Kiagiadakis <kiagiadakis.george@gmail.com> to control@bugs.debian.org. (Sat, 19 Jun 2010 15:24:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#582568; Package libkdecore5. (Sat, 26 Jun 2010 09:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Sat, 26 Jun 2010 09:33:03 GMT) Full text and rfc822 format available.

Message #12 received at 582568@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 582568@bugs.debian.org
Subject: Re: Bug#582568: kdm: causes kaboom to show upgrade dialog on first root login
Date: Sat, 26 Jun 2010 11:31:26 +0200
We investigated this issue a bit on IRC, and two workarounds were
discovered.  Either init.d/kdm can set KDEROOTDIR to some more
sensible location (like /var/lib/kdm/).  This will make kdm stop
creating files in the root users home directory, and is a more proper
fix.

An alternative to avoid the config migration dialog when root log in
for the first time, is to change kaboom to look for ~/.kde/share/
instead of just ~/.kde/.  The files would still be created by kdm in
~root/.kde/, but the dialog would no longer show up.

Not sure which option is prefered.  Perhaps both should be
implemented?

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#582568; Package libkdecore5. (Tue, 10 Aug 2010 10:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Tue, 10 Aug 2010 10:09:03 GMT) Full text and rfc822 format available.

Message #17 received at 582568@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 582568@bugs.debian.org
Subject: Re: Bug#582568: kdm: causes kaboom to show upgrade dialog on first root login
Date: Tue, 10 Aug 2010 12:06:49 +0200
[Petter Reinholdtsen]
> We investigated this issue a bit on IRC, and two workarounds were
> discovered.  Either init.d/kdm can set KDEROOTDIR to some more
> sensible location (like /var/lib/kdm/).  This will make kdm stop
> creating files in the root users home directory, and is a more proper
> fix.

Given that squeeze is frozen, I suggest this is done to kdm quickly to
get a fix into Squeeze before it release.

> An alternative to avoid the config migration dialog when root log in
> for the first time, is to change kaboom to look for ~/.kde/share/
> instead of just ~/.kde/.  The files would still be created by kdm in
> ~root/.kde/, but the dialog would no longer show up.

This should probably be done too.

For Debian Edu, we have implemented a workaround and touch
/root/.local/kaboom during installation to make sure kaboom do not
show up when the root user log in for the first time.

I suspect this bug should be release critical, but am not sure so I
have not raised the severity.  Asked on #debian-release for their
view, but did not get a definite answer.

Would be nice to have some comment on this issue before Squeeze is
released.

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#582568; Package libkdecore5. (Tue, 10 Aug 2010 10:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to George Kiagiadakis <kiagiadakis.george@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Tue, 10 Aug 2010 10:48:03 GMT) Full text and rfc822 format available.

Message #22 received at 582568@bugs.debian.org (full text, mbox):

From: George Kiagiadakis <kiagiadakis.george@gmail.com>
To: Petter Reinholdtsen <pere@hungry.com>, 582568@bugs.debian.org
Subject: Re: Bug#582568: kdm: causes kaboom to show upgrade dialog on first root login
Date: Tue, 10 Aug 2010 13:44:34 +0300
Btw, this bug is "fixed" upstream, as kdm 4.5 now runs as a separate
"kdm" user, which has no $HOME and thus there are no such files
created anywhere. We hoped to push 4.5 for squeeze, but unfortunately
this is not possible anymore, so it seems we will have to work it
around.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#582568; Package libkdecore5. (Tue, 10 Aug 2010 11:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Modestas Vainius <modestas@vainius.eu>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Tue, 10 Aug 2010 11:24:03 GMT) Full text and rfc822 format available.

Message #27 received at 582568@bugs.debian.org (full text, mbox):

From: Modestas Vainius <modestas@vainius.eu>
To: Petter Reinholdtsen <pere@hungry.com>, 582568@bugs.debian.org
Subject: Re: Bug#582568: kdm: causes kaboom to show upgrade dialog on first root login
Date: Tue, 10 Aug 2010 14:21:12 +0300
[Message part 1 (text/plain, inline)]
Hello,

On antradienis 10 Rugpjūtis 2010 13:06:49 Petter Reinholdtsen wrote:
> [Petter Reinholdtsen]
> 
> > We investigated this issue a bit on IRC, and two workarounds were
> > discovered.  Either init.d/kdm can set KDEROOTDIR to some more
> > sensible location (like /var/lib/kdm/).  This will make kdm stop
> > creating files in the root users home directory, and is a more proper
> > fix.
> 
> Given that squeeze is frozen, I suggest this is done to kdm quickly to
> get a fix into Squeeze before it release.

You're welcome to propose patches.

> > An alternative to avoid the config migration dialog when root log in
> > for the first time, is to change kaboom to look for ~/.kde/share/
> > instead of just ~/.kde/.  The files would still be created by kdm in
> > ~root/.kde/, but the dialog would no longer show up.
> 
> This should probably be done too.
> 
> For Debian Edu, we have implemented a workaround and touch
> /root/.local/kaboom during installation to make sure kaboom do not
> show up when the root user log in for the first time.
> 
> I suspect this bug should be release critical, but am not sure so I
> have not raised the severity.  Asked on #debian-release for their
> view, but did not get a definite answer.

First of all, nobody should login to desktop as root. Secondly, I'm not 
denying that there is an issue about kdm creating useless files, but there is 
nothing critical or RC about it given the former.

kaboom could be smarter in this case but again there is nothing RC about it.

> Would be nice to have some comment on this issue before Squeeze is
> released.
> 
> Happy hacking,

Yes, as soon as the patch is available, we might consider it.

Happy hacking
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#582568; Package libkdecore5. (Tue, 10 Aug 2010 11:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Tue, 10 Aug 2010 11:54:04 GMT) Full text and rfc822 format available.

Message #32 received at 582568@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: Modestas Vainius <modestas@vainius.eu>
Cc: 582568@bugs.debian.org
Subject: Re: Bug#582568: kdm: causes kaboom to show upgrade dialog on first root login
Date: Tue, 10 Aug 2010 13:33:12 +0200
[Modestas Vainius]
> Secondly, I'm not denying that there is an issue about kdm creating
> useless files, but there is nothing critical or RC about it given
> the former.
> 
> kaboom could be smarter in this case but again there is nothing RC
> about it.

If this is the stance of the KDE maintainence team, as in willing to
release Squeeze with kdm producing files in /root/.kde/ when started
after boot and the root user to get a misleading and confusing
"migrate configuration" dialog when logging in for the first time on a
freshly installed machine, I'll spend my time elsewhere.  Unless told
otherwise, I will take it that your view is shared by the rest of the
KDE team, and thus leave this resolution of issue for a future upgrade
of KDE.

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#582568; Package libkdecore5. (Tue, 10 Aug 2010 13:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Modestas Vainius <modestas@vainius.eu>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Tue, 10 Aug 2010 13:39:03 GMT) Full text and rfc822 format available.

Message #37 received at 582568@bugs.debian.org (full text, mbox):

From: Modestas Vainius <modestas@vainius.eu>
To: Petter Reinholdtsen <pere@hungry.com>
Cc: 582568@bugs.debian.org
Subject: Re: Bug#582568: kdm: causes kaboom to show upgrade dialog on first root login
Date: Tue, 10 Aug 2010 16:34:18 +0300
[Message part 1 (text/plain, inline)]
Hello,

On antradienis 10 Rugpjūtis 2010 14:33:12 Petter Reinholdtsen wrote:
> [Modestas Vainius]
> 
> > Secondly, I'm not denying that there is an issue about kdm creating
> > useless files, but there is nothing critical or RC about it given
> > the former.
> > 
> > kaboom could be smarter in this case but again there is nothing RC
> > about it.
> 
> If this is the stance of the KDE maintainence team, as in willing to
> release Squeeze with kdm producing files in /root/.kde/ when started
> after boot and the root user to get a misleading and confusing
> "migrate configuration" dialog when logging in for the first time on a
> freshly installed machine, I'll spend my time elsewhere. Unless told
> otherwise, I will take it that your view is shared by the rest of the
> KDE team, and thus leave this resolution of issue for a future upgrade
> of KDE.

Petter, please be more constructive. I still have not heard why this bug 
should be either grave (users are not supposed to login to desktop with root 
user. Those who do are not in majority and are doing something wrong), nor 
serious (it does not violate debian policy) nor critical (which basically is a 
more severe level of grave). So that's how I see your words: "unless you bump 
severity to RC for no good reason, I refuse to help. And yeah, it's all KDE 
team's fault!". Oh, that's really helpful.

As I have already said in my previous mail, if you want the issue solved, 
you're welcome to propose a good patch. Just to be sure that we are on the 
same ship here: if you want to force unjustified RC severity upon us because 
other people would be forced to work on the issue, such collaboration won't 
work well. If you're afraid that your efforts might be wasted, well it is all 
up to release team but we will try to include your fix. We can't promise 
anything because final word is not ours so, really, all the heat is pointed 
towards the wrong direction.

-- 
Modestas Vainius <modestas@vainius.eu>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#582568; Package libkdecore5. (Thu, 16 Jun 2011 14:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Thu, 16 Jun 2011 14:06:03 GMT) Full text and rfc822 format available.

Message #42 received at 582568@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: control@bugs.debian.org
Cc: 582568@bugs.debian.org
Subject: usertag debian-edu
Date: Thu, 16 Jun 2011 16:02:46 +0200
[Message part 1 (text/plain, inline)]
user debian-edu@lists.debian.org
usertag 582568 - debian-edu
thanks

Hi,

as we dont demand rootlogins into kde nor gnome anymore, this bug doesnt 
affect us anymore. 

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=582568#22 also indicates its 
fixed upstream, so you probably want to close it.


cheers,
	Holger
[signature.asc (application/pgp-signature, inline)]

Marked as fixed in versions kde4libs/4:4.6.2-1. Request was from Maximiliano Curia <maxy@debian.org> to control@bugs.debian.org. (Fri, 10 May 2013 12:27:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 23:39:54 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.